<?php

/**
 * Implementation of hook_drush_command().
 */
function regonline_api_drush_command() {
  return array(
    'reg-report' => array(
      'callback' => '_regonline_api_drush_test',
    ),
  );
}

/**
 * Implmentation of hook_drush_help().
 */
function regonline_api_drush_help($section) {
  switch ($section) {
    case 'drush:reg-report':
      return dt('Perform a getReport RegOnline API call and print the results. Pass your event id and report id as arguments.');
  }
}

function _regonline_api_drush_test() {
  $args = func_get_args();
  if (empty($args)) {
    drush_die('Error, no report_id and event_id arguments given.');
  }
  list($event_id, $report_id, $username, $password, $account_id) = $args;
  $account_id = isset($account_id) ? $account_id : variable_get('regonline_account_id', '');
  $username = isset($username) ? $username : variable_get('regonline_account_username', '');
  $password = isset($password) ? $password : variable_get('regonline_account_password', '');

  include_once('regonline_api.class.inc');
  $regonline = new RegOnline($username, $password, $account_id);
  $regonline->setLogLevel(WATCHDOG_DEBUG);
  $out = $regonline->getReport($report_id, $event_id);

  print_r($out);
}
